| Kea 3.0.2-git

hwaddr.h File Reference
`#include <vector>`
`#include <stdint.h>`
`#include <stddef.h>`
`#include <dhcp/dhcp4.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for hwaddr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::dhcp::HWAddr
| Hardware type that represents information from DHCPv4 packet. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< HWAddr > | isc::dhcp::HWAddrPtr
| Shared pointer to a hardware address structure.